Bug 34087 - [Qt] Meta-methods can't be introspected using ES5 API
: [Qt] Meta-methods can't be introspected using ES5 API
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Qt
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Kent Hansen
: Qt
Depends on:
Blocks: 33947
  Show dependency treegraph
 
Reported: 2010-01-25 07:36 PST by Kent Hansen
Modified: 2010-01-27 06:25 PST (History)
1 user (show)

See Also:


Attachments
Proposed patch (9.26 KB, patch)
2010-01-25 07:43 PST, Kent Hansen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Hansen 2010-01-25 07:36:40 PST
For example, Object.getOwnPropertyDescriptor(object.aSignal, "connect") returns undefined, but object.aSignal.hasOwnProperty("connect") returns true and object.aSignal.connect is indeed a function.
Similarly, Object.getOwnPropertyNames(object.aSignal) returns an empty list, even though the signal has properties connect, disconnect, length and name.
Comment 1 Kent Hansen 2010-01-25 07:43:10 PST
Created attachment 47346 [details]
Proposed patch
Comment 2 Simon Hausmann 2010-01-26 07:51:35 PST
Comment on attachment 47346 [details]
Proposed patch

r=me
Comment 3 WebKit Commit Bot 2010-01-27 06:25:19 PST
Comment on attachment 47346 [details]
Proposed patch

Clearing flags on attachment: 47346

Committed r53930: <http://trac.webkit.org/changeset/53930>
Comment 4 WebKit Commit Bot 2010-01-27 06:25:23 PST
All reviewed patches have been landed.  Closing bug.